> For the complete documentation index, see [llms.txt](https://docs.iotex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iotex.io/blockchain/build/web3-development/chain-indexing/subquery.md).

# SubQuery

SubQuery is an open and flexible data indexing framework for web3.&#x20;

SubQuery allows every team to process and query their data. The project is inspired by the growth of data protocols serving the application layer and its aim is to help projects build better dApps by allowing anyone to reliably find and consume data faster.&#x20;

Check out [SubQuery on Github](https://github.com/subquery), to learn how to use their service in your next IoTeX dApp.

{% embed url="<https://github.com/subquery>" %}

If you'd like to follow a guide and learn how to index all transfers and approval events for the [Wrapped Eth](https://iotexscan.io/address/io1qfvgvmk6lpxkpqwlzanqx4atyzs86ryqjnfuad) on the IoTeX chain, the SubQuery team has also prepared [this step-by-step guide](https://github.com/subquery/ethereum-subql-starter/tree/main/Iotex/iotex-starter).&#x20;

{% embed url="<https://github.com/subquery/ethereum-subql-starter/tree/main/Iotex/iotex-starter>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.iotex.io/blockchain/build/web3-development/chain-indexing/subquery.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
